Bug Hunting Session
Bug 93277 - PRINTING EXPORTING as PDF: image captions don't print or save as pdf properly
Summary: PRINTING EXPORTING as PDF: image captions don't print or save as pdf properly
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.0.0.5 release
Hardware: Other Linux (All)
: medium major
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-08 14:58 UTC by Pedro I. Hernandez
Modified: 2016-10-10 11:14 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Image comment dissapearing on exportation to PDF (1.47 MB, image/png)
2015-08-08 14:58 UTC, Pedro I. Hernandez
Details
odt file with dummy text (668.92 KB, application/x-7z-compressed)
2015-08-14 21:35 UTC, Pedro I. Hernandez
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pedro I. Hernandez 2015-08-08 14:58:53 UTC
Created attachment 117772 [details]
Image comment dissapearing on exportation to PDF

When inserted an image comment, viewed OK on Writer but, after export the whole document to PDF the image comment disappears!!! Why?

With the same document: I tried to export it from LO Writer 4.4.5 portable running on a Windows VM and it worked ok!!! :-O
Comment 1 tommy27 2015-08-13 15:08:50 UTC
please upload a test file where you constantly reproduce the issue (the simpler is the test-case the easier will be to debug), you just uploaded a screenshot

status NEEDINFO
Comment 2 Pedro I. Hernandez 2015-08-13 19:00:41 UTC
I'm sorry but due to copyrights and private data protection I can not upload this document.
I haven't been able to reproduce the issue with any new document that I've tried.

Anyways... If this helps...
Within the document, I always link (9 total) images (jpg and svg formats) to external files (in order to have the possibility of updating them out of LO) and when I delete some of them the situation fixes. It has to be this way... I can not tell the number to be deleted exactly...  I don't know if this matters but... with one of the images it's attached a hyperlink to a website (the first one in the document). The deletion of this only image doesn't fix the problem.

thanks anyway for your interest! :-)
Comment 3 tommy27 2015-08-14 07:36:27 UTC
did you try editing a copy of your document replacing copyrighted images and putting dummy text?

the only chance we have to debug is to have a functioning test file.

so I set again status to NEEDINFO.
Comment 4 Pedro I. Hernandez 2015-08-14 21:35:52 UTC
Created attachment 117924 [details]
odt file with dummy text
Comment 5 Pedro I. Hernandez 2015-08-14 21:42:02 UTC
I've worked on a file and I've been able to reproduce the mistake!
With this file, captions don't appear in exported PDF file!

Hope this helps!
Comment 6 sophie 2015-08-25 12:00:08 UTC
Hi, I was not able to reproduce with my own document. In your sample, linked images are missing, could you please upload them so we have a working file to test with. Thanks in advance - Sophie
Comment 7 Philippe 2015-08-31 11:40:03 UTC
Same error for every image with captions. The only way I found make them appear again is to hit return to insert a newline between image and following paragraph.
Comment 8 thanasis57 2015-09-01 11:54:11 UTC
The same bug affected me, too. i downgraded to 4.4.5.2 and the problem is gone.

I made a test file for debugging, but could not reproduce the problem. Maybe due to the fact that the document I am working on is extremely extensive and rather complicated.

Anyway, a really frustrating regression (?) due to the difficulty in reproducing.
Comment 9 Buovjaga 2015-09-14 14:30:16 UTC
(In reply to Pedro I. Hernandez from comment #4)
> Created attachment 117924 [details]
> odt file with dummy text

I don't understand what we should be looking at here. The captions seem ok in your PDF. I modified a couple of links to point to my own images. PDF export preserves the captions just fine.

There are a lot of images+captions, so maybe I'm missing something? If it is about a specific caption, please tell us what it is and on which page.

Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided the information.

Win 7 Pro 64-bit, Version: 5.0.1.2 (32-bit)
Build ID: 81898c9f5c0d43f3473ba111d7b351050be20261
Locale: fi-FI (fi_FI)
Comment 10 Dominik Kopp 2015-09-20 21:15:04 UTC
I can confirm the test file in comment #4.
The caption on page 11 (or 15) isn't visible until I do a "print preview" or resize the frame.

I'm using LO 5.0.1.2 on OpenSUSE tumbleweed
Comment 11 Buovjaga 2015-09-21 05:23:43 UTC
(In reply to Dominik Kopp from comment #10)
> I can confirm the test file in comment #4.
> The caption on page 11 (or 15) isn't visible until I do a "print preview" or
> resize the frame.
> 
> I'm using LO 5.0.1.2 on OpenSUSE tumbleweed

This is about doing a PDF export.

Ilustración 2: ubicación and Ilustración 3: Densidad show up in the PDF just fine.

Setting back to NEEDINFO while we wait for original reporter to respond.
Comment 12 Caolán McNamara 2015-09-28 12:45:27 UTC
I cannot reproduce this, but it sounds very similar to bug 93461 which I can reproduce and have fixed today. Perhaps the original reporter (or anyone else who can reproduce this) can check tomorrows daily build to verify that it is gone in that.
Comment 13 Xisco Faulí 2016-09-11 20:22:30 UTC Comment hidden (obsolete)
Comment 14 Xisco Faulí 2016-10-10 11:14:01 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20161010